﻿@using System.Web.UI.WebControls;

<table border="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "Username";
                    l.Width = 60;
                
                }

            ).GetHtml()

        </td>
        
        <td>
            @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlUsername";
                    sett.GridProperties.KeyFieldName = "USERNAME";
                    sett.Width = Unit.Pixel(150);
                    sett.GridProperties.CallbackRouteValues = new {Controller = "AuthorizationMapping", Action = "getUsernameData"};
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    sett.GridProperties.Width = Unit.Pixel(200);
                    sett.GridProperties.SettingsPager.NumericButtonCount = 3;
                    sett.GridProperties.CommandColumn.Width = Unit.Percentage(10);
                    
                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "USERNAME";
                              l.FieldName = "USERNAME";
                              l.Caption = "Username";
                              l.Width = Unit.Percentage(80);
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          }
                        );
                }
            ).Bind(ViewData["UsernameData"]).GetHtml() 

            



        </td>
   
        <td style="width: 300px;"></td>
        <td style="width: 30px;">
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "System";
                    //l.Width = 60;
                }

            ).GetHtml()

        </td>
        <td style="width: 150px;">
              @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlSystemID";
                    sett.GridProperties.KeyFieldName = "SYSTEM_NAME";
                    sett.Width = 150;
                    sett.GridProperties.CallbackRouteValues = new { Controller = "AuthorizationMapping", Action = "getSystemID" };
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.ClientSideEvents.RowClick = "getSystemID_Criteria";
                    sett.GridProperties.ClientSideEvents.EndCallback = "endCallback_System_Criteria";
                    sett.GridProperties.CommandColumn.Width = Unit.Percentage(10);
                    sett.GridProperties.Width = 250;
                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtSystemID";
                              l.FieldName = "SYSTEM_ID";
                              l.Caption = "System ID";
                              l.Width = 70;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtSystemName";
                            l.FieldName = "SYSTEM_NAME";
                            l.Caption = "System Name";
                            l.Width = 250;
                            l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        }
                        );
                
                    
                    
                }
            ).Bind(ViewData["SystemData"]).GetHtml()



        </td>
        <td style="width: 30px;">
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "Role";
                    //l.Width = 60;
                }

            ).GetHtml()

        </td>
        <td style="width: 150px;">
              @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlRoleID";
                    sett.GridProperties.KeyFieldName = "ROLE_NAME";
                    sett.Width = 150;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "AuthorizationMapping", Action = "getRoleID"};
                    //sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.ClientSideEvents.BeginCallback = "RoleBeginGridCallback";
                    sett.GridProperties.CommandColumn.Width = Unit.Percentage(10);
                    sett.GridProperties.Width = 250;
                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtRoleID";
                              l.FieldName = "ROLE_ID";
                              l.Caption = "Role";
                              l.Width = 70;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtRoleName";
                            l.FieldName = "ROLE_NAME";
                            l.Caption = "Role Name";
                            l.Width = 250;
                            l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        }
                        );
                
                    
                    
                }
            ).Bind(ViewData["RoleData"]).GetHtml()



        </td>
        

    </tr>
    </table>
    <table>
    <tr style="height: 10px;"></tr>
    <tr style="vertical-align: top;">
        <td style="width: 60px; vertical-align:middle;">    
              @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "Upload";
                    l.Width = 60;
                }
            ).GetHtml()

        </td>
        <td style="width:150px; height:20px" >
            @using (Html.BeginForm("DownloadCallback", "AuthorizationMapping", FormMethod.Post, new { enctype = "multipart/form-data" }))
            { 
            @Html.DevExpress().UploadControl(u =>
                           {
                               u.Name = "AMUpload";
                               u.BrowseButton.Text = "Browse";
                               u.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                               u.ShowAddRemoveButtons = false;
                               u.Width = Unit.Pixel(190);

                               u.ValidationSettings.MaxFileSize = 10000000;
                               u.ValidationSettings.AllowedFileExtensions = new string[] { ".xls" };
                               u.ValidationSettings.ShowErrors = true;

                               u.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                               u.ValidationSettings.NotAllowedFileExtensionErrorText = "PrCSV only";

                               u.CallbackRouteValues = new { Controller = "AuthorizationMapping", Action = "OnUploadCallbackRouteValues" };
                               
                               u.ClientSideEvents.FileUploadComplete = "OnUploadComplete";
                               //u.ClientSideEvents.Init = "OnUploadInit";
                               u.ShowProgressPanel = false;
                              
                           }).GetHtml()


            }        


                      
                        
        </td>
        <td style="padding-left:0px;">
               @Html.DevExpress().Button(
                        setting =>
                        {
                            setting.Name = "btnUpload";
                            setting.Text = "Upload";
                            setting.UseSubmitBehavior = true;
                            setting.Style.Add("display", "inline-table");
                            setting.ClientSideEvents.Click = "upload";
                        }
                        ).GetHtml()
        </td>
        
        <td>




        </td>
        <td style="width: 150px"></td>
        <td style="width: 40px;">
            
                <div style ="float: right;width: 108px;">
                    @Html.DevExpress().Button(
                        setting =>
                        {
                            setting.Name = "btnSearch";
                            setting.Text = "Search";
                            setting.UseSubmitBehavior = true;
                            setting.Style.Add("display", "inline-table");
                            setting.ClientSideEvents.Click = "searchData";
                        }
                
                    ).GetHtml()

                    @Html.DevExpress().Button(
                        setting =>
                        {
                            setting.Name = "btnClear";
                            setting.Text = "Clear";
                            setting.UseSubmitBehavior = true;
                            setting.Style.Add("display", "inline-table");
                            setting.ClientSideEvents.Click = "clearData";
                        }

                    ).GetHtml()
            </div>  
        </td>

    </tr>
    <tr>
    <td style="width: 60px"></td>
    <td style="width: 180px;" >
            <div style="padding-top: 5px">
               @Html.DevExpress().HyperLink(
                            Lnk =>
                            {
                                Lnk.Name = "LnkDownloadTemplate";
                                Lnk.Properties.Text = "Download Template";
                                Lnk.Properties.Style.ForeColor = System.Drawing.Color.Blue;
                                Lnk.Properties.Style.Font.Underline = true;
                                Lnk.ControlStyle.Cursor = "pointer";
                                Lnk.Properties.ClientSideEvents.Click = "OnClickDownloadTemplate";
                            }
                        ).GetHtml()
                </div>

        </td>
    </tr>
</table>





